/*************************************************************************/
/* Copyright (C) 1995-1997 Marlis Hochbruck, Christian Lubich, Hubert    */
/* Selhofer. All rights reserved.                                        */
/*                                                                       */
/* C code written by Mathias Froehlich.                                  */
/*                                                                       */
/* This code is part of a copyrighted package. For details, see the file */
/* "COPYING" in the top-level directory.                                 */
/*************************************************************************/

/* header file for output.c */

#ifdef  __cplusplus
extern "C" {
#endif

extern void PREC(Exp4SetOutput) (Exp4OutputType TypeIn, ...);

extern void PREC(Exp4InitOutput) (Real tEndIn,int EnableDense);

extern int PREC(Exp4DoOutput) (WorkSpace Work,Real t,
      Real h,Complex *y_old,Complex *y_new,
      Complex *k,finteger neq);

extern int PREC(Exp4GetDenseSolution)(Complex *output,finteger incout,
      Real tout);

#ifdef  __cplusplus
}
#endif
