/*************************************************************************/
/* Copyright (C) 1995-1997 Marlis Hochbruck, Christian Lubich, Hubert    */
/* Selhofer. All rights reserved.                                        */
/*                                                                       */
/* C code written by Mathias Froehlich.                                  */
/*                                                                       */
/* This code is part of a copyrighted package. For details, see the file */
/* "COPYING" in the top-level directory.                                 */
/*************************************************************************/

/* header file for ucalls.c */

#ifdef  __cplusplus
extern "C" {
#endif

extern void PREC(Exp4InitUcalls) (Complex *kIn,finteger ldkIn,
      Complex *YIn,finteger neqIn);

extern Complex *PREC(Exp4GetInternalStep) (int i);

extern Complex *PREC(Exp4GetY) ();

extern void PREC(Exp4EnableReuse)(Exp4Boolean AllowIn);

extern int PREC(Exp4AllowReuse)();

extern void PREC(Exp4SetJacobianLifeTime) (int);

extern int PREC(Exp4GetJacobianLifeTime) (void);

#ifdef  __cplusplus
}
#endif
