/*************************************************************************/
/* Copyright (C) 1995-1997 Marlis Hochbruck, Christian Lubich, Hubert    */
/* Selhofer. All rights reserved.                                        */
/*                                                                       */
/* C code written by Mathias Froehlich.                                  */
/*                                                                       */
/* This code is part of a copyrighted package. For details, see the file */
/* "COPYING" in the top-level directory.                                 */
/*************************************************************************/

/* Header file for errstep.c */

#ifdef  __cplusplus
extern "C" {
#endif

typedef struct {
  Real err_acc;
  Real h_acc;
} Exp4ErrorStepSizeControlHandle;

#define ErrstepHandleInitializer { 1.0, 0.0 }

extern void PREC(ErrstepSetAccepted) (Exp4ErrorStepSizeControlHandle *Handle,
      Real err,Real h);

extern Real PREC(ErrstepGetNewH) (const Exp4ErrorStepSizeControlHandle *Handle,
      const Real ThisError,const Real h,const int order);

#ifdef  __cplusplus
}
#endif
