/*************************************************************************/
/* Copyright (C) 1995-1997 Marlis Hochbruck, Christian Lubich, Hubert    */
/* Selhofer. All rights reserved.                                        */
/*                                                                       */
/* C code written by Mathias Froehlich.                                  */
/*                                                                       */
/* This code is part of a copyrighted package. For details, see the file */
/* "COPYING" in the top-level directory.                                 */
/*************************************************************************/

/* header file for phim.c */

#ifdef  __cplusplus
extern "C" {
#endif

#include "work.h"

extern size_t PREC(SizePhimHsWork) (finteger roco);
 
extern int PREC(Exp4PhimHs) (WorkSpace Work,Complex *e,finteger lde,
      Complex *a,finteger lda,finteger roco,finteger bandwith,
      Real fac);

extern size_t PREC(SizePhimHsPadeWork) (finteger roco);

extern int PREC(Exp4PhimHsPade) (WorkSpace Work,Complex *res,
      finteger ldres,Complex *a_org,finteger lda,finteger roco,
      finteger bandwith,int s,Real fac);

extern size_t PREC(SizePhimHsDiagWork) (finteger roco);

extern int PREC(Exp4PhimHsDiag) (WorkSpace Work,Complex *PhiA,finteger LdPhiA,
      Complex *A,finteger LdA,finteger roco,Real fac);

#ifdef  __cplusplus
}
#endif
